Commit 39bd2833 authored by linsui's avatar linsui
Browse files

misc fixes

parent 60435ae9
Pipeline #350213698 passed with stages
in 19 minutes and 52 seconds
......@@ -316,26 +316,16 @@ Builds:
- aria2lib/src/main/jniLibs
ndk: r21d
- versionName: 2.6.2
versionCode: 70
commit: 1a94dc360d29dd5f67aa03147434cfcc326144a3
timeout: 14400
subdir: app
submodules: true
gradle:
- foss
prebuild: sed -i -e '/maven.fabric.io/d; /io.fabric/d' build.gradle ../build.gradle
../CommonUtils/build.gradle
scandelete:
- aria2lib/src/main/jniLibs
ndk: r21d
- versionName: 2.6.3
versionCode: 71
commit: 8c64575899e9ae0a8c92fab5bf44d76b9a8377ea
timeout: 14400
subdir: app
submodules: true
sudo:
- apt-get update || apt-get update
- apt-get install -y openjdk-11-jdk
- update-alternatives --auto java
gradle:
- foss
prebuild: sed -i -e '/maven.fabric.io/d; /io.fabric/d' build.gradle ../build.gradle
......
......@@ -716,6 +716,10 @@ Builds:
timeout: 14400
subdir: app
submodules: true
sudo:
- apt-get update || apt-get update
- apt-get install -y openjdk-11-jdk
- update-alternatives --auto java
gradle:
- foss
prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
......
......@@ -262,24 +262,15 @@ Builds:
- sed -i -e '/maven.fabric.io/d; /io.fabric/d' build.gradle ../build.gradle
../CommonUtils/build.gradle
- versionName: 1.6.10
versionCode: 36
commit: 402068151d8a7db0861c2d829f4c0cc7daa73ddd
subdir: app
submodules: true
gradle:
- foss
prebuild:
- sed -i -e '/com.google.firebase/d' ../build.gradle ../CommonUtils/build.gradle
build.gradle
- sed -i -e '/maven.fabric.io/d; /io.fabric/d' build.gradle ../build.gradle
../CommonUtils/build.gradle
- versionName: 1.6.11
versionCode: 37
commit: a5f2d1c18ff8847dc0f864413905558d89c4774d
subdir: app
submodules: true
sudo:
- apt-get update || apt-get update
- apt-get install -y openjdk-11-jdk
- update-alternatives --auto java
gradle:
- foss
prebuild:
......
......@@ -317,6 +317,10 @@ Builds:
versionCode: 48
commit: e168f45e21895e4910ed72375ebff1686b48a123
subdir: app
sudo:
- apt-get update || apt-get update
- apt-get install -y openjdk-11-jdk
- update-alternatives --auto java
gradle:
- yes
prebuild: echo "android.useAndroidX=true" > ../gradle.properties
......
......@@ -199,6 +199,10 @@ Builds:
versionCode: 1105
commit: 0ecad57f07d27a7ef3abcfde6db12584575f2f7a
subdir: Kuroba/app
sudo:
- apt-get update || apt-get update
- apt-get install -y openjdk-11-jdk
- update-alternatives --auto java
gradle:
- fdroid
......
......@@ -1210,43 +1210,14 @@ Builds:
{/,/^}/d' build.gradle
- echo 'android { lintOptions { checkReleaseBuilds false } }' >> build.gradle
- versionName: 3.9.742
versionCode: 300900742
commit: ab474b851fab9705fc6da54911f4d1ad4f47521a
subdir: app
gradle:
- purefoss
prebuild:
- sed -i -e '/google-services/d; /firebase/d; /dl.bintray.com/d; /android.applicationVariants.all
{/,/^}/d' build.gradle
- echo 'android { lintOptions { checkReleaseBuilds false } }' >> build.gradle
- versionName: 3.9.743
versionCode: 300900743
commit: e5381777c0224cf31b8d7dcddf21ab28373a4a46
subdir: app
gradle:
- purefoss
prebuild:
- sed -i -e '/google-services/d; /firebase/d; /dl.bintray.com/d; /android.applicationVariants.all
{/,/^}/d' build.gradle
- echo 'android { lintOptions { checkReleaseBuilds false } }' >> build.gradle
- versionName: 3.9.744
versionCode: 300900744
commit: 11829cf47a150fc225244f27e140f665135c2654
subdir: app
gradle:
- purefoss
prebuild:
- sed -i -e '/google-services/d; /firebase/d; /dl.bintray.com/d; /android.applicationVariants.all
{/,/^}/d' build.gradle
- echo 'android { lintOptions { checkReleaseBuilds false } }' >> build.gradle
- versionName: 3.9.745
versionCode: 300900745
commit: 4aabf5dba102f69852a88f974e4af708f7553af3
subdir: app
sudo:
- apt-get update || apt-get update
- apt-get install -y openjdk-11-jdk
- update-alternatives --auto java
gradle:
- purefoss
prebuild:
......
......@@ -2032,7 +2032,7 @@ Builds:
timeout: 25200
sudo:
- apt-get update || apt-get update
- apt-get install -y build-essential clang virtualenv openjdk-11-jdk
- apt-get install -y build-essential clang jq libffi-dev virtualenv openjdk-11-jdk
- update-alternatives --auto java
- pushd build/srclib/cpython
- ./configure
......
......@@ -222,6 +222,7 @@ Builds:
- versionName: 12.0f
versionCode: 12060
disable: https://github.com/zenorogue/hyperrogue/issues/286
commit: dda9f29403693108f596229e6d335d079b44d226
subdir: hyperroid/app
sudo:
......
......@@ -331,37 +331,16 @@ Builds:
- cp $$BarcodeScanner$$/barcodescanner/build/outputs/aar/barcodescanner-release.aar
libs/barcodescanner-release-2.1.5.aar
- versionName: 3.0.1
versionCode: 30001
commit: 92235356cc35c15c7f01eac487ce916078b92322
subdir: platforms/android/app
gradle:
- yes
srclibs:
- BarcodeScanner@2.1.5
rm:
- platforms/android/app/libs/barcodescanner-release-2.1.5.aar
- platforms/android/CordovaLib/build
prebuild: sed -i -e '/gradleVersion/d' build.gradle
build:
- pushd $$BarcodeScanner$$
- rm local.properties
- gradle clean assembleRelease
- popd
- cp $$BarcodeScanner$$/barcodescanner/build/outputs/aar/barcodescanner-release.aar
libs/barcodescanner-release-2.1.5.aar
- versionName: 3.0.2
versionCode: 30002
commit: dd6c3d95a2fc9e2296af07233b16eb1cc5285a2a
commit: 3.0.2
subdir: platforms/android/app
gradle:
- yes
srclibs:
- BarcodeScanner@2.1.5
- BarcodeScanner@0fc1fd2ff00683d2a2803ba6da63320bcb29fd2c
rm:
- platforms/android/app/libs/barcodescanner-release-2.1.5.aar
- platforms/android/CordovaLib/build
prebuild: sed -i -e '/gradleVersion/d' build.gradle
build:
- pushd $$BarcodeScanner$$
......
......@@ -4452,10 +4452,9 @@ Builds:
- app/lib
ndk: r21e
- versionName: '1.1658'
versionCode: 1658
disable: Failed to find Platform SDK with path:platforms;android-31
commit: 68ba7c92778bd5d099c22b6c1418fdb9af2500dc
- versionName: '1.1677'
versionCode: 1677
commit: '1.1677'
subdir: app
submodules: true
sudo:
......@@ -4469,7 +4468,7 @@ Builds:
- app/lib
ndk: r21e
AutoUpdateMode: None
AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: app/build.gradle|getVersionCode.*return (\d+)||
CurrentVersion: '1.1677'
......
......@@ -433,6 +433,10 @@ Builds:
versionCode: 67
commit: 85791a9336b894b973ef65e77ec1aa38235ffac8
subdir: app
sudo:
- apt-get update || apt-get update
- apt-get install -y openjdk-11-jdk
- update-alternatives --auto java
gradle:
- standard
prebuild:
......
......@@ -77,7 +77,7 @@ Builds:
- apt-get install -y openjdk-11-jdk
- update-alternatives --auto java
gradle:
- yes
- main
AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
......
......@@ -150,6 +150,10 @@ Builds:
versionCode: 22
commit: ac67d37d4ce99aa7c2359cb8113636cc652eaa5b
subdir: app
sudo:
- apt-get update || apt-get update
- apt-get install -y openjdk-11-jdk
- update-alternatives --auto java
gradle:
- yes
......
......@@ -127,12 +127,16 @@ Builds:
versionCode: 25
commit: 519e1ae1f9a4cf510b925896da9499be0229b0d7
subdir: app
sudo:
- apt-get update || apt-get update
- apt-get install -y openjdk-11-jdk
- update-alternatives --auto java
gradle:
- yes
rm:
- app/src/main/java/me/zhanghai/android/files/nonfree
prebuild: find -type f -exec sed -i '/\/\/#ifdef NONFREE/,/\/\/#endif/d' {} +
ndk: r22
ndk: r22b
AutoUpdateMode: Version v%v
UpdateCheckMode: Tags ^v.+$
......
......@@ -155,6 +155,10 @@ Builds:
versionCode: 50
commit: 2bd5c73694fa81fc38d0d6bf3574d2ed68814d21
subdir: app
sudo:
- apt-get update || apt-get update
- apt-get install -y openjdk-11-jdk
- update-alternatives --auto java
gradle:
- yes
......
......@@ -275,17 +275,18 @@ Builds:
- versionName: 1.4.0
versionCode: 50
disable: https://github.com/hiroshiyui/GuilelessBopomofo/issues/16
commit: 076d31ff732ca02b9a300903edfc8931b506b7bc
subdir: app
submodules: true
sudo:
- /opt/android-sdk/tools/bin/sdkmanager 'cmake;3.18.1' > /dev/null
- apt-get update || apt-get update
- apt-get install -y libsqlite3-dev
- apt-get install -y openjdk-11-jdk
- update-alternatives --auto java
gradle:
- yes
prebuild: $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1' > /dev/null
ndk: r22b
AutoUpdateMode: Version %v
......
......@@ -280,6 +280,40 @@ Builds:
- mv ../native/libs/* jniLibs/
ndk: r21d
- versionName: '3.4'
versionCode: 75
commit: v3.4
subdir: java
submodules: true
gradle:
- yes
rm:
- dictionaries/
- dictionaries-indic/
- java/jniLibs/*
prebuild: sed -i '/include/c\include "armeabi-v7a"' build.gradle
build:
- $$NDK$$/ndk-build -e "APP_ABI=armeabi-v7a" -e "APP_CFLAGS += -w" -C ../native/jni
- mv ../native/libs/* jniLibs/
ndk: r21e
- versionName: '3.4'
versionCode: 76
commit: v3.4
subdir: java
submodules: true
gradle:
- yes
rm:
- dictionaries/
- dictionaries-indic/
- java/jniLibs/*
prebuild: sed -i '/include/c\include "arm64-v8a"' build.gradle
build:
- $$NDK$$/ndk-build -e "APP_ABI=arm64-v8a" -e "APP_CFLAGS += -w" -C ../native/jni
- mv ../native/libs/* jniLibs/
ndk: r21e
MaintainerNotes: |-
* needs testing
* dictionary binaries?
......
......@@ -44,6 +44,7 @@ Builds:
- versionName: 0.2.0
versionCode: 6
disable: Upstream binary not available
commit: 513925ab0cdfa75dd0f58a3c4308e348ade78784
subdir: app
sudo:
......@@ -58,7 +59,7 @@ Builds:
rs.ltt.android
- cd rs.ltt.android
gradle:
- yes
- fdroid
AutoUpdateMode: Version %v
UpdateCheckMode: Tags
......
......@@ -170,6 +170,10 @@ Builds:
versionCode: 26
commit: 8501847d5a999e0f16a9bf05d4c67d9832746f8e
subdir: app
sudo:
- apt-get update || apt-get update
- apt-get install -y openjdk-11-jdk
- update-alternatives --auto java
gradle:
- yes
......
  • Contributor

    Hi @linsui , could you please also add the Java 11 to my other app https://gitlab.com/fdroid/fdroiddata/-/blob/master/metadata/com.github.cvzi.darkmodewallpaper.yml

    I think the version in the yml file 1.1.3 will fail with both Java 1.8 and 11, but I have already published another version 1.1.4 that should work with Java 11.

  • Author Developer

    I'm not on PC. It's very late here. If you want to fix it ASAP you can make an MR and I'll merge it. Thanks!

  • Contributor

    Sorry I should have said that it was not urgent. Just when you have some time. Thanks for your work!

  • Contributor

    I created a merge request !9546 (merged)

Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment